
Name:            k3b
Version:         18.08.2
Release:         %mkrel 1
License:         GPLv2+
URL:             http://www.k3b.org/
Group:           Graphical desktop/KDE5
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:         %{name}-%{version}.tar.xz
Source2:	 	 k3b.png
Summary:         CD-Burner for KDE5
Summary(de):	 CD-Brenner für KDE45
Requires:        cdrecord
Requires:        mkisofs
Requires:        cdrdao
Requires:        sox
Requires:        vcdimager
Requires:        normalize
Requires:        dvd+rw-tools
Requires:        cdrskin
Requires:        kinit
#---------------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: grep
BuildRequires: %{_lib}dvdread-devel
BuildRequires: %{_lib}ffmpeg-devel 
BuildRequires: %{_lib}flac++6-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}kf5cddb-devel
BuildRequires: %{_lib}kcodecs-devel
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5archive-devel
BuildRequires: %{_lib}kf5auth-devel
BuildRequires: %{_lib}kf5bookmarks-devel
BuildRequires: %{_lib}kf5completion-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5filemetadata-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5iconthemes-devel
BuildRequires: %{_lib}kf5jobwidgets-devel
BuildRequires: %{_lib}kf5kcmutils-devel
BuildRequires: %{_lib}kf5newstuff-devel
BuildRequires: %{_lib}kf5notifications-devel
BuildRequires: %{_lib}kf5notifyconfig-devel
BuildRequires: %{_lib}kf5service-devel
BuildRequires: %{_lib}kf5solid-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kf5xmlgui-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}kitemviews-devel
BuildRequires: %{_lib}lame0-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}mpcdec-devel
BuildRequires: %{_lib}musicbrainz5-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}kdoctools-devel
#-------------------------------------------
%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%description -l de
K3b ist ein CD-Brennprogramm das beabsichtigt viele Fähigkeiten 
unter einer einfachen Benutzeroberfläche zu vereinen. Die Merkmale 
beinhalten brennen von Audio CD's von .WAV und .MP3, Konfiguration 
von exteren Programmen und Konfigurationsgeräten.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}/k3b
%{_libdir}/libk3bdevice.so.*
%{_libdir}/libk3blib.so.*
%{_libdir}/qt5
%{_datadir}
%{_libexecdir}/k3bhelper
#------------------------------------------------

%package devel
Group: Development/Libraries
Summary: Development libraries from %name
Summary(de): Entwicklerdateien von %name
Provides:        kde-k3b-devel

%description devel
Development libraries from %name
#german
%description devel -l de
%{summary}.

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/libk3bdevice.so
%{_libdir}/libk3blib.so

#------------------------------------------------
%package -n k3b-handbook
Summary: Handbook package for k3b
Group: Documentation
Requires: k3b
BuildArch: noarch

%description -n k3b-handbook
This package provides the handbook for k3b

%files -n k3b-handbook
%{_datadir}/doc/HTML


%prep
%setup -q

%build
%cmake_kf5 -DK3B_ENABLE_PERMISSION_HELPER=ON
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

mkdir -p %buildroot%{_datadir}/pixmaps
install -m 0644 %SOURCE2 %buildroot%{_datadir}/pixmaps


%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version} 


%changelog
* Thu Dec 27 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2019
- update
